Start Evals Process

Start running one or more evaluations on a dataset.

POST https://api.futureagi.com/model-hub/develops/{dataset_id}/start_evals_process/

Authentication

X-Api-Key API Key Required

Your Future AGI API key used to authenticate requests. You can find and manage your API keys in the Dashboard under Settings.

X-Secret-Key Secret Key Required

Your Future AGI secret key, used alongside the API key for request authentication. This is generated when you create an API key in the Dashboard.

Path parameters

dataset_id UUID Required

UUID of the dataset to start evaluations on.

Request body

user_eval_ids array Required
Array of user eval metric UUIDs to run. Must contain at least one ID.

Response

200 OK
data string
Confirmation message indicating how many evaluations were started.
success boolean
Whether the request completed successfully.

Errors

400 Bad Request Optional
Invalid request parameters.
401 Unauthorized Optional
Invalid or missing API credentials.
500 Internal Server Error Optional
An unexpected error occurred on the server while starting the evaluation process.
GET /
Authentication
REQUEST
 
RESPONSE